Bug 9147 - Невозможно настроить клавиатуру в GNOME
: Невозможно настроить клавиатуру в GNOME
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gnome-control-center)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 15403
  Show dependency tree
 
Reported: 2006-02-24 12:44 by
Modified: 2008-08-20 00:10 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-02-24 12:44:31
При попытке настроить клавиатру выдает ошибку:

Ошибка активирования параметров XKB.
Она может произойти при следующих обстоятельствах:
- ошибка в библиотеке libxklavier
- ошибка в X-сервере (утилиты xkbcomp, xmodmap)
- X-сервер имеет несовместимую реализацию libxkbfile

Данные о версии X-сервера:
The X.Org Foundation
70000000

При составлении отчета об ошибке пожалуйста включите:
- Результат xprop -root | grep XKB
- Результат gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd


Никаких изменений не происходит. Сизиф от 22 февраля 2006 чистый "с нуля".
------- Comment #1 From 2006-02-24 12:46:48 -------
На всякий случай содержимое xorg.conf

    Option "XkbModel" "pc105"
    Option "XkbLayout" "us,de,se,ru"
    Option "XkbVariant" ",,,winkeys"
    Option "XkbOptions" "grp:rctrl_toggle"

Если не трогать gswitchit (а мне надо), то все работает.
------- Comment #2 From 2006-06-02 15:50:21 -------
1) Баг ещё актуален?
2) Если да, приведите результат gconftool-2 -R ..., в общем, то, что просят
привести :)
3) Сброс настроек в GConf и повторная настройка, как я понимаю, не помогают?
------- Comment #3 From 2006-11-24 01:25:38 -------
Отвечаю сам себе: баг по-прежнему актуален, и сброс настроек не помогает.
GNOME,
установленный полностью с чистого листа, содержит этот баг, причём беда
возникает  ровно при запуске переключателя раскладок. Если не запускать
переключатель раскладок, всё хорошо. Буду терзать разработчика, благо он
говорит
по-русски.
------- Comment #4 From 2006-11-24 14:06:48 -------
Подтверждаю. На всех машинах уже. :( Могу кинуть то, что оно просит в отчете об
ошибке. Я в рассылку высылал. Оно реально не совпадает в выводах двух команд и
установках Иксов.
------- Comment #5 From 2006-11-27 02:57:22 -------
Баг в апстриме: http://bugzilla.gnome.org/show_bug.cgi?id=355074
------- Comment #6 From 2006-12-11 14:20:55 -------
Я иуи кое-что нарыл, что может способствовать пониманию природы глюка.
Оказывается, дело в файле
~/.gconf/desktop/gnome/peripherials/keyboard/kbd/%gconf.xml

Он у меня был следующего содержания:

<?xml version="1.0"?>
<gconf>
        <entry name="layouts" mtime="1149932135" type="list" ltype="string">
                <li type="string">
                        <stringvalue>us</stringvalue>
                </li>
                <li type="string">
                        <stringvalue>ru winkeys</stringvalue>
                </li>
        </entry>
***
        <entry name="options" mtime="1149932827" type="list" ltype="string">
                <li type="string">
                        <stringvalue>grp        grp:caps_toggle</stringvalue>
                </li>
                <li type="string">
                        <stringvalue>grp        grp:switch</stringvalue>
                </li>
        </entry>
***
        <entry name="overrideSettings" mtime="1111322224" type="bool"
value="false">
        </entry>
</gconf>

Звёздочек в исходном файле нет, я их поставил, чтобы дальше было понятнее. Так
вот, если удалить секцию, выделеннную звёздочками, то Гном начинает грузиться
без ошибок. Однако если теперь запустить настройку клавиатуры, то удалённая
секция возвращяается взад, вместе с окном про ошибку.
------- Comment #7 From 2006-12-11 14:50:29 -------
Ну да, GNOME где-то глючит при взаимодействии с xkb, и он оказывается не в
состоянии изменить настройки xkb на лету. Workaround пока - всё желаемое
прописывать прямо в xorg.conf, но это работает только если у всех пользователей
одни и те же настройки xkb.
------- Comment #8 From 2006-12-21 03:23:42 -------
Исправил пакет на реальный источник ошибки. К сожалению, сборка последнего
gnome-control-center не помогла, будем смотреть дальше. Кстати, я дал
неправильный линк на баг в апстриме. Правильный линк вот:
http://bugzilla.gnome.org/show_bug.cgi?id=343762
------- Comment #9 From 2006-12-27 11:20:29 -------
новый баг открывать пока не решился. Отпишу в этом.

Вопрос, как мне кажется, не только в том, что не работает настройка gswitchit.
Вопрос в том, чтобы gnome-settings-daemon был более стабилен к такого рода
трудностям. Поскольку gnome-settings-daemon является необходимым компонентом
для
работы GNOME, к нему нужно предъявить более строгие требования по стабильности.
------- Comment #10 From 2006-12-27 13:35:21 -------
Ильдар, любой подтверждённый прецедент падения gnome-settings-daemon - это
безусловно повод для бага. Welcome.
------- Comment #11 From 2006-12-27 13:47:31 -------
Подтверждаю. Были падения gnome-settings-daemon. Приблизительно одновременно
отваливался не только gswitchit, но и микшер.

Происходило это нерегулярно и исправлялось перезапуском сеанса. 
------- Comment #12 From 2006-12-27 16:09:10 -------
Стектрейсы, коредампы?.. Я верю, что gnome-settings-daemon может падать, но
хотелось бы знать, в каком месте и в каких условиях :)
------- Comment #13 From 2006-12-28 10:32:55 -------
Да нет их уменя. Coredump у меня вообще запрещен, журнал пустой. К тому же
сейчас все работает. А как запустить этот демон с strace вообще непонятно. Нет
в
Гноме такой кнопки.
------- Comment #14 From 2006-12-28 10:36:57 -------
Однако, при настройке раскладок вываливаются сообщения об ошибке. Клавиатура у
меня в xorg.conf прописана.

Вот вывод предложенных в диалогах XKB команд.

bash-3.1$ xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "xorg", "pc105", "us,ru", ",winkeys",
"grp:rctrl_toggle"
_XKB_RULES_NAMES(STRING) = "xorg", "pc105", "us,ru", ",winkeys",
"grp:rctrl_toggle"
bash-3.1$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
 layouts = [us,ru       winkeys,se      nodeadkeys]
 model = 
 overrideSettings = true
 options = []
bash-3.1$ 
------- Comment #15 From 2008-08-20 00:10:54 -------
На современном сизифе не воспроизводится -- fixed
$ rpmq gnome-control-center
gnome-control-center-2.22.2.1-alt1